﻿<%@ page language="C#" autoeventwireup="true" inherits="ims.web.Backup, ims.web" enableviewstatemac="false" enableEventValidation="false" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" id="Backup">
<head runat="server">
    <title>系统维护</title>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="s1" runat="server" AsyncPostBackTimeout="1200" EnablePageMethods="true">
        <Scripts>
            <asp:ScriptReference Name="MicrosoftAjax.js" ScriptMode="Auto" Path="~/js/MsAjax.js"/>
            <asp:ScriptReference Name="MicrosoftAjaxWebForms.js" ScriptMode="Auto" Path="~/js/MsAjax.js"/>
        </Scripts>
    </asp:ScriptManager>

        <div id="tabs" class="ui-tabs">
            <ul>
                <li><a href="#clear">系统清理</a></li>
                <li runat="server" id="liInit"><a href="#init">系统初始化</a></li>
                <li><a href="#bak">系统备份和还原</a></li>
                <li><a href="#other">其它操作</a></li>
            </ul>
            <div id="clear">
                <div id="loading1" class="hide"><img class="promptIcon" src="images/loading.gif" alt="" />正在处理，请稍候…</div>
                <span id="options">
                    <ul style="list-style-type:none;text-align:left">
                        <li>选项：<asp:CheckBox ID="cbCleanFiles" runat="server" Text="清理垃圾文件" /></li>
                        <li>　　　<asp:CheckBox ID="cbDelThumbs" runat="server" Text="清空缩略图缓存" /></li>
                        <li>　　　<asp:CheckBox ID="cbDelInactiveAnonys" runat="server" Checked="true" Text="清除匿名用户" /></li>
                    </ul>
                    <br />
                    <asp:UpdatePanel ID="upClean" UpdateMode="conditional" RenderMode="inline" runat="server">
                    <ContentTemplate>
                        <asp:Button ID="btnExe" runat="server" OnClick="ExeClean" OnClientClick="return doClean();" CssClass="btn" Width="66" Text="开始清理" />
                    </ContentTemplate>
                    </asp:UpdatePanel>
                </span>
            </div>
            <div runat="server" id="init">
                <input type="button" runat="server" id="initDemo" onserverclick="initAs" onclick="return initConfirm(this);" class="btn" value="初始化为演示系统" />&nbsp;
                <input type="button" runat="server" id="initNew" onserverclick="initAs" onclick="return initConfirm(this);" class="btn" value="初始化为全新系统" />
            </div>
            <div id="bak">
                <div class="hide" id="loading2"><img src="images/loading.gif" class="promptIcon" alt="" />正在处理，请稍候……</div>
                <asp:UpdatePanel ID="upBackup" UpdateMode="conditional" RenderMode="inline" runat="server">
                <ContentTemplate>
                    <asp:Button ID="btnBackup" ToolTip="点击生成并下载系统备份文件" OnClick="BackupAll" OnClientClick="setUpg(true,'loading2',backupArea);" CssClass="btn" runat="server" Width="42" Text="备份" />&nbsp;
                    <input type="button" id="upload" onclick="return false;" onmouseover="SetFU();" onmouseout="SetFU();" class="btn" style="width:42px" value="还原" />
                    <input id="fileToUpload" type="file" contenteditable="false" title="选择一个备份文件用来还原系统" onchange="return ajaxFileUpload();" onmousemove="SetFU();" onmouseout="SetFU();" class="fu" name="fileToUpload" />
                </ContentTemplate>
                </asp:UpdatePanel>
            </div>
            <div id="other">
                <div id="loading3" class="hide"><img class="promptIcon" src="images/loading.gif" alt="" />正在重新启动系统，请稍候…</div>
                <div id="btns3">
                <asp:Button ID="btnCloseSys" OnClick="CloseSystem" runat="server" Text="关闭系统" CssClass="btn" Width="66" ToolTip="停止系统的运行。&#13;注意：关闭后只能通过移除系统根目录下的app_offline.htm文件来恢复系统的运行。" OnClientClick="return confirm('关闭系统后只能通过移除系统根目录下的app_offline.htm文件才能恢复系统的运行！\n确定要关闭系统吗？');" />
                <asp:Button ID="btnRestartApp" OnClick="RestartApp" runat="server" CssClass="btn" Width="90" OnClientClick="setUpg(true,'loading3','btns3');" Text="重新启动系统" />
                <asp:Button ID="btnSwitchDatabase" runat="server" OnClick="SwitchDatabase" OnClientClick="return confirm('切换数据库意味着将当前系统切换到以另一套数据库为基础的完全独立的系统，这会导致当前所有用户及设置等完全失效！\n确定要切换数据库吗？');" CssClass="btn" Width="78" Text="切换数据库" />
                <asp:Button ID="btnDbZip" runat="server" OnClick="ZipDatabase" OnClientClick="return confirm('确定要压缩数据库吗？');" CssClass="btn" Width="78" Text="压缩数据库" />
                </div>
            </div>
        </div>
    
    <script type="text/javascript" src="js/comm.js"></script>
	<script type="text/javascript" src="js/Backup.js"></script>
    </form>
</body>
</html>

