﻿<%@ page language="C#" autoeventwireup="true" inherits="ims.web.viewData, ims.web" enableviewstatemac="false" enableEventValidation="false" %>
<%@ Register Src="~/UserControls/FileUploader.ascx" TagName="Uploader" TagPrefix="ims" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" id="viewData">
<head runat="server"><title></title>
</head>
<body class="waiting">
    <div class="hide"><img src="images/loading.gif" />正在生成，请稍候 …</div>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="s1" runat="server" AsyncPostBackTimeout="300">
            <Scripts><asp:ScriptReference Name="MicrosoftAjax.js" ScriptMode="Auto" Path="~/js/MsAjax.js"/><asp:ScriptReference Name="MicrosoftAjaxWebForms.js" ScriptMode="Auto" Path="~/js/MsAjax.js"/></Scripts>
        </asp:ScriptManager>
        <div id="prePict"><img id="forLoad" class="hide" onload="preload();" /></div>
        <div id="printArea">
        <asp:UpdatePanel ID="upObjs" runat="server" OnPreRender="TablePreRender" RenderMode="Block" UpdateMode="conditional">
        <ContentTemplate>
            <asp:GridView ID="gv" runat="server" ShowHeader="true" ShowFooter="true" DataKeyNames="ID" AutoGenerateColumns="False" GridLines="None" CellSpacing="1" CellPadding="0" BorderWidth="0" AllowPaging="false" AllowSorting="true"
            OnDataBound="GvDataBound" OnRowDataBound="GvRowBound" OnRowCreated="GvRowCreated" OnSorting="GvSorting">
            </asp:GridView>
        </ContentTemplate>
        </asp:UpdatePanel>
        <asp:HiddenField ID="curObjItemId" runat="server" /><asp:HiddenField ID="curFieldId" runat="server" />
        <asp:UpdatePanel ID="upPager" runat="server" ChildrenAsTriggers="false" UpdateMode="conditional" RenderMode="Inline">
        <ContentTemplate>
            <table cellspacing="0" runat="server" id="PagerBar" class="PagerBar"><tr><td>
                <asp:ImageButton ID="btnFirst" ImageAlign="AbsMiddle" runat="server" ToolTip="第一页&#13;快捷键：Home" ImageUrl="~/images/page_first.gif" AccessKey="F" OnClick="ToPage" OnPreRender="SetImageUrl" />
                <asp:ImageButton ID="btnPrevious" ImageAlign="AbsMiddle" runat="server" ToolTip="上一页&#13;快捷键：←或PageUp" ImageUrl="~/images/page_up.gif" AccessKey="P" OnClick="ToPage" OnPreRender="SetImageUrl" />
                <asp:Label ID="lblCount" CssClass="count" runat="server"></asp:Label>
                <asp:ImageButton ID="btnNext" ImageAlign="AbsMiddle" runat="server" ToolTip="下一页&#13;快捷键：→或PageDown" ImageUrl="~/images/page_down.gif" AccessKey="N" OnClick="ToPage" OnPreRender="SetImageUrl" />
                <asp:ImageButton ID="btnLast" ImageAlign="AbsMiddle" runat="server" ToolTip="最后一页&#13;快捷键：End" ImageUrl="~/images/page_last.gif" AccessKey="L" OnClick="ToPage" OnPreRender="SetImageUrl" />
            </td><td align="right">
                <asp:DropDownList runat="server" id="ddlPagesize" AutoPostBack="True" OnSelectedIndexChanged="PageSizeChanged">
                    <asp:ListItem Value="5">5项/页</asp:ListItem>
                    <asp:ListItem Value="10">10项/页</asp:ListItem>
                    <asp:ListItem Value="15" Selected="True">15项/页</asp:ListItem>
                    <asp:ListItem Value="20">20项/页</asp:ListItem>
                    <asp:ListItem Value="30">30项/页</asp:ListItem>
                    <asp:ListItem Value="50">50项/页</asp:ListItem>
                    <asp:ListItem Value="100">100项/页</asp:ListItem>
                    <asp:ListItem Value="500">500项/页</asp:ListItem>
                </asp:DropDownList>
                <asp:DropDownList ID="ddlPager" AutoPostBack="true" OnSelectedIndexChanged="ToPage" runat="server"></asp:DropDownList>
            </td></tr></table>
            <ul class="hide" id="AttributeInfo"><li>共<asp:Literal ID="recordCount" runat="server"></asp:Literal>项</li></ul>
        </ContentTemplate>
        <Triggers>
            <asp:AsyncPostBackTrigger ControlID="Del" EventName="serverclick" />
            <asp:AsyncPostBackTrigger ControlID="Edit_InPlace" EventName="serverclick" />
            <asp:AsyncPostBackTrigger ControlID="Edit_Save" EventName="serverclick" />
            <asp:AsyncPostBackTrigger ControlID="Edit_Canel" EventName="serverclick" />
        </Triggers>
        </asp:UpdatePanel>
        <asp:DropDownList ID="ddlCompute" runat="server" AutoPostBack="true" OnSelectedIndexChanged="ddlCompute_Changed" CssClass="funs" />
        </div>
        <div id="footer">
        <asp:DropDownList runat="server" Width="84" ID="ddlFilters" OnSelectedIndexChanged="FastFilter" onchange="toFilter()"></asp:DropDownList>
        <asp:UpdatePanel ID="btnArea" UpdateMode="Conditional" runat="server" RenderMode="Block">
        <ContentTemplate>
            <input type="button" runat="server" id="btnFilter" class="btn" value="筛选" onserverclick="ShowFastFilter" />
            <input type="button" runat="server" id="btnBatch" class="btn" value="批量操作" onclick="showBatchPop();" />
            <input type="button" id="saveLayout" runat="server" accesskey="L" title="保存当前的表格版面设置（列宽度、列顺序等）&#13;快捷键：Alt+L" value="保存版面" onclick="return setLayout();" onserverclick="ApplyLayout" class="btn" />
            <input type="button" class="btn" value="更多…" id="btnMore" onclick="return showMenu();" />           
            <input type="button" value="打印" accesskey="P" onclick="toPrint();" class="btn" />
		    <input type="button" onclick="history.go(-1);" value="返回" class="btn" />
        </ContentTemplate>
        </asp:UpdatePanel>
        </div>
        <div class="menu" id="tools">
            <a accesskey="O" href="#" id="onlySelected" onclick="return showSelected();">查看选中的　Alt+O</a>
            <a accesskey="A" href="#" runat="server" id="addRecord">添加记录　　Alt+A</a>
            <a accesskey="F" href="#" id="search" onclick="toSearch();">高级搜索　　Alt+F</a>
            <div></div>
            <a accesskey="S" href="#" onclick="toggleStyle();">切换样式　　Alt+S</a>
            <a accesskey="L" href="#" runat="server" onclick="return selectFields('p_popup');" id="cols" title="选择显示或隐藏表中的某些列">显示/隐藏列 &nbsp;Alt+L</a>
            <a accesskey="C" href="###" runat="server" id="condfmt" onserverclick="ShowCondFmt" title="将满足指定条件的记录用特殊格式显示">条件格式　　Alt+C</a>
            <div></div>
            <a href="###" runat="server" id="exportas" onclick="toExportAs('#printArea');">导出</a>
            <a href="###" runat="server" id="saveSc" onclick="ShowPop('sc_popup',true);">保存快捷方式</a>
            <a accesskey="H" href="#" onclick="return showHelp();">帮助　　　　Alt+H</a>
        </div>
        <div class="menu" id="menu_tr">
            <a accesskey="S" href="#" runat="server" id="Edit_Save" onserverclick="UpdateRow">保存修改　 Alt+S</a>
            <a accesskey="C" href="#" runat="server" id="Edit_Canel" onserverclick="CancelChange">放弃修改　 Alt+C</a>
            <a accesskey="O" href="#" onclick="return detail();">打开 　　　Alt+O</a>
            <a accesskey="F" href="#" runat="server" id="aAddToFav" onclick="return addToFav(tid, curRid);">收藏　　　 Alt+F</a>
            <a accesskey="A" href="#" onclick="return addToCart(tid, curRid);" runat="server" id="aAddToCart">加入购物车 Alt+A</a>
            <a accesskey="I" href="#" runat="server" id="Edit_InPlace" onserverclick="InPlaceEdit">就地编辑　 Alt+I</a>
            <a accesskey="E" href="#" onclick="return toEdit();" runat="server" id="Edit_Full">编辑　　　 Alt+E</a>
            <a accesskey="D" href="#" runat="server" id="Del" onclick="return delConfirm()" onserverclick="DelObjItem">删除 　　　Alt+D</a>
        </div>
        <ims:Pop runat="server" ID="p" Title="选择要显示的列" Width="450" OnClientCanel="restoreFieldsPanel();">
        <ContentTemplate>
            <asp:CheckBoxList ID="cblFields" runat="server" CellPadding="0" CellSpacing="0" OnSelectedIndexChanged="selectedFieldsChanged" RepeatLayout="Flow" RepeatDirection="Horizontal"></asp:CheckBoxList>　<img src='images/selectall.gif' class='slt' title='全选/全不选' onclick="SelectAll('p_cblFields');" /><img src='images/revselect.gif' class='slt' title='反选' onclick="RevSelect('p_cblFields');" />
        </ContentTemplate>
        </ims:Pop>
        <ims:Pop runat="server" ID="query" OnOkClick="ExecQuery" Title="列出包含在此列中的相关数据">
            <ContentTemplate>
                <br />
                目标：<asp:DropDownList runat="server" ID="tarTemplets" AutoPostBack="true" OnDataBound="BindQueryFields" OnSelectedIndexChanged="BindQueryFields"></asp:DropDownList>&nbsp;<asp:DropDownList runat="server" ID="queryFields"></asp:DropDownList>
                <div class="sepline"></div>
                <span id="comment"></span>
            </ContentTemplate>
        </ims:Pop>
        <ims:Pop runat="server" ID="batch" ShowOkButton="false" OnClientUpdated="setBatchPop();" ShowCancelButton="false" Title="批量操作" Width="425">
            <ContentTemplate>
                <div id="range">范围：<asp:RadioButton runat="server" ID="rbSelected" GroupName="range" Text="选中的记录" Checked="true" />　<asp:RadioButton runat="server" ID="rbAll" GroupName="range" Text="当前所有记录" /></div>
                <fieldset runat="server" id="sms">
                    <legend>群发短信：<asp:DropDownList runat="server" ID="ddlMobFields"></asp:DropDownList></legend>
                    <asp:TextBox runat="server" ID="tbSms" TextMode="MultiLine" Rows="4" Width="98%"></asp:TextBox>
                </fieldset>
                <div id="btnSms" class="right" runat="server">
                    <asp:Button ID="btnSendSms" runat="server" Text="发送" ToolTip="群发短信" OnClick="BatchSendSms" OnClientClick="return smsConfirm();" CssClass="btn" />
                </div>
                <fieldset runat="server" id="mail">
                    <legend>群发邮件：<asp:DropDownList runat="server" ID="ddlMailFields"></asp:DropDownList></legend>
                    <asp:TextBox runat="server" ID="tbMail" TextMode="MultiLine" Rows="4" Width="98%"></asp:TextBox>
                    <table><tr><td>
                            主题：<asp:TextBox runat="server" ID="tbSubject" ToolTip="输入邮件主题" Width="300"></asp:TextBox>
                        </td><td align="right">
                            <asp:Button ID="btnSendMail" runat="server" Text="发送" ToolTip="群发邮件" OnClick="BatchSendMail" OnClientClick="return mailConfirm();" CssClass="btn" />
                        </td></tr>
                    </table>
                </fieldset>
                <fieldset runat="server" id="update">
                    <legend>批量更新：<asp:DropDownList ID="ddlFieldsForUpdate" runat="server" AutoPostBack="true" OnSelectedIndexChanged="SetEditControls"></asp:DropDownList></legend>
                    <div style="padding:2px" runat="server" id="editArea">
                    <asp:TextBox ID="_tb" runat="server" Width="99%" Visible="false"></asp:TextBox>
                    <span runat="server" id="ddlspan" visible="false"><asp:Literal runat="server" ID="ddltext"></asp:Literal><asp:DropDownList ID="_ddl" runat="server"></asp:DropDownList></span>
                    <asp:CheckBox ID="_cb" runat="server" Visible="false" />
                    <asp:CheckBoxList ID="_cbl" runat="server" RepeatDirection="Horizontal" RepeatLayout="Flow" Width="100%" Visible="false"></asp:CheckBoxList>
                    <asp:RadioButtonList ID="_rbl" runat="server" RepeatDirection="Horizontal" RepeatLayout="Flow" Width="100%" Visible="false"></asp:RadioButtonList>
                    <asp:TextBox runat="server" ID="_ck" CssClass="ck" TextMode="MultiLine" Visible="false"></asp:TextBox>
                    <ims:Uploader runat="server" ID="_uploader" Visible="false" />
                    <table ID="_hl" runat="server" cellspacing="0" style="table-layout:fixed;width:98%" visible="false">
                        <tr><td style="width:60px">链接文字：</td><td><asp:TextBox ID="_tbText" runat="server" Width="99%"></asp:TextBox></td></tr>
                        <tr><td>链接地址：</td><td><asp:TextBox ID="_tbUrl" runat="server" Width="99%"></asp:TextBox></td></tr>
                    </table>
                    </div>
                </fieldset>
                <div id="btn" class="right" runat="server">
                    <asp:Button ID="btnUpdate" runat="server" Text="更新" OnClick="BatchUpdate" OnClientClick="return doConfirm();" CssClass="btn" />
                </div>
                <fieldset runat="server" id="addTo"><legend>添加到…</legend>
                    <div class="padcenter">
                        添加到：<asp:DropDownList runat="server" ID="ddlTo"></asp:DropDownList><asp:Button runat="server" ID="btnAddTo" Text="添加" OnClick="AddRecordsTo" OnClientClick="return PreAddTo();" CssClass="btn" /> <img src="images/what.gif" title="查看解释" onclick="What('AddTo')" class="what" />
                    </div>
                </fieldset>
                <div class="footBtnArea">
                    <asp:Button ID="btnDel" CssClass="btn" runat="server" Text="删除" OnClientClick="return beforeDel();" OnClick="DelRows" />
                    <asp:Button ID="btnRemove" CssClass="btn" runat="server" Text="移到指定目录" Width="84" OnClick="RemoveTo" OnClientClick="return moveToDir()" />
                    <input type="button" runat="server" id="ExportExcel" style="width:78px" value="导出到Excel" onclick="toXls();" onserverclick="toExcel" class="btn" />
                    <input type="button" value="关闭" class="btn" onclick="HideDialog();" />
                </div>
            </ContentTemplate>
        </ims:Pop>
        <ims:Pop runat="server" ID="ff" OnOkClick="doFilter"  OnClientUpdated="InitFilter('ff_popup');" Width="450" HideOnOkClientClick="false" HelpSubject="fastFilter" Title="筛选">
        <ContentTemplate>
            <fieldset><legend>
                范围：<asp:RadioButtonList runat="server" ID="rblRange" RepeatDirection="Horizontal" RepeatLayout="Flow">
                    <asp:ListItem Value="Current" Selected="True">从当前结果中筛选 </asp:ListItem>
                    <asp:ListItem Value="All">从当前模板所有记录中筛选</asp:ListItem>
                </asp:RadioButtonList>
            </legend>
            <ul runat="server" id="ulFilter" class="notfocus"></ul>
            </fieldset>
            <div id="links">
                <asp:LinkButton runat="server" ID="lbUndo" OnClick="CanelLastFilter" Text="取消上次筛选"></asp:LinkButton>
            </div>
        </ContentTemplate>
        </ims:Pop>

        <ims:Pop runat="server" ID="fmt" OnOkClick="SaveCondFmt" Width="472" OnClientUpdated="fmtUpdated();" HideOnOkClientClick="false" HelpSubject="CondFormat" Title="条件格式">
        <ContentTemplate>
            <fieldset><legend>条件格式一</legend>
                <asp:CheckBox runat="server" ID="cbFmt1" Text="启用" />
                <div class="options">
                条件：<a href="javascript:void(0);" onclick="return ShowFilter('fmtCond1');">设置</a><br />
                格式：<asp:DropDownList runat="server" ID="ddlFmt1"></asp:DropDownList> 背景色：<asp:TextBox runat="server" ID="tbColor1" CssClass="iColorPicker"></asp:TextBox>&nbsp;前景色：<asp:TextBox runat="server" ID="tbForeColor1" CssClass="iColorPicker"></asp:TextBox><br />
                选项：<asp:CheckBox runat="server" ID="cbTop1" Text="置顶" />
                </div>
            </fieldset>
            <fieldset><legend>条件格式二</legend>
                <asp:CheckBox runat="server" ID="cbFmt2" Text="启用" />
                <div class="options">
                条件：<a href="javascript:void(0);" onclick="return ShowFilter('fmtCond2');">设置</a><br />
                格式：<asp:DropDownList runat="server" ID="ddlFmt2"></asp:DropDownList> 背景色：<asp:TextBox runat="server" ID="tbColor2" CssClass="iColorPicker"></asp:TextBox>&nbsp;前景色：<asp:TextBox runat="server" ID="tbForeColor2" CssClass="iColorPicker"></asp:TextBox><br />
                选项：<asp:CheckBox runat="server" ID="cbTop2" Text="置顶" />
                </div>
            </fieldset>
            <fieldset><legend>条件格式三</legend>
                <asp:CheckBox runat="server" ID="cbFmt3" Text="启用" />
                <div class="options">
                条件：<a href="javascript:void(0);" onclick="return ShowFilter('fmtCond3');">设置</a><br />
                格式：<asp:DropDownList runat="server" ID="ddlFmt3"></asp:DropDownList> 背景色：<asp:TextBox runat="server" ID="tbColor3" CssClass="iColorPicker"></asp:TextBox>&nbsp;前景色：<asp:TextBox runat="server" ID="tbForeColor3" CssClass="iColorPicker"></asp:TextBox><br />
                选项：<asp:CheckBox runat="server" ID="cbTop3" Text="置顶" />
                </div>
            </fieldset>
        </ContentTemplate>
        </ims:Pop>
        <ims:Pop runat="server" ID="sc" Title="保存快捷方式" OkButtonText="保存" OnOkClick="SaveasSc" OnOkClientClick="return preSavesc();" HideOnOkClientClick="false">
            <ContentTemplate>
                <div class="footBtnArea">名称：<asp:TextBox runat="server" ID="tbsc" Width="160"></asp:TextBox> <img src="images/what.gif" title="查看解释" onclick="What('Shortcut')" class="what" /></div>
            </ContentTemplate>
        </ims:Pop>
        <ims:Pop runat="server" ID="prn" Title="准备打印…" OnOkClientClick="return exePrint();" OkButtonText="打印" Width="408" OnClientCanel="outPreview();">
            <ContentTemplate>
                <fieldset><legend>打印选项</legend>
                    <div class="padbox">
                    <input type="checkbox" checked="checked" id="cbTitle" /><label for="cbTitle">标题：</label><asp:TextBox runat="server" ID="tbTitle" Width="310"></asp:TextBox><br />
                    <input type="checkbox" id="cbUser" value="<%= ims.web.comm.UserContext.RealName %>" /><label for="cbUser">打印人</label><br />
                    <input type="checkbox" id="cbTime" value="<%= DateTime.Now.ToString("g") %>" /><label for="cbTime">打印时间</label>
                    </div>
                </fieldset>
                <div id="printPrompt"></div>
            </ContentTemplate>
        </ims:Pop>
        <asp:Button runat="server" ID="btnQuery" CssClass="hide" OnClick="ToQuery" />
    <script src="js/comm.js" type="text/javascript"></script>
    <script src="js/viewData.js" type="text/javascript"></script>
    <script src="js/datepicker/WdatePicker.js" type="text/javascript"></script>
    <script src="ckeditor/ckeditor.js" type="text/javascript"></script>
    </form>
</body>
</html>