﻿<%@ page language="C#" autoeventwireup="true" inherits="ims.web.Admin, ims.web" trace="false" enableviewstatemac="false" enableEventValidation="false" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" id="Admin">
<head runat="server">
    <title>系统设置</title>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="s1" runat="server">
            <Scripts><asp:ScriptReference Name="MicrosoftAjax.js" ScriptMode="Auto" Path="~/js/MsAjax.js"/><asp:ScriptReference Name="MicrosoftAjaxWebForms.js" ScriptMode="Auto" Path="~/js/MsAjax.js"/></Scripts>
        </asp:ScriptManager>

        <div id="tabs" class="ui-tabs">
            <ul>
                <li><a href="#normal">常规选项</a></li>
                <li><a href="#funcs">功能选项</a></li>
                <li><a href="#userinfos">用户信息</a></li>
                <li><a href="#mail">邮件发送设置</a></li>
            </ul>
            <div id="normal">
                <div class="zone" style="margin-top:0">☉ 系统</div>
                <ul>
                    <li title="本公司或单位的全称或简称">单位简称：<asp:TextBox runat="server" ID="orgName" MaxLength="255" Width="200"></asp:TextBox></li>
                    <li title="本软件系统的自定义名称">系统名称：<asp:TextBox runat="server" ID="sysName" MaxLength="255" Width="200"></asp:TextBox></li>
                    <li>数据中心自定义名称：<asp:TextBox runat="server" ID="dataCenter" Width="140"></asp:TextBox></li>
                    <li>根目录的自定义名称：<asp:TextBox runat="server" ID="rootDir" Width="140"></asp:TextBox></li>
                </ul>
                    
                <div class="zone">☉ 用户 & 登录</div>
                <ul>
                    <li title="设置是否必须要求登录后才能访问"><asp:CheckBox runat="server" ID="cbDenyAnons" Text="禁止匿名用户访问"></asp:CheckBox></li>
                    <li><asp:CheckBox runat="server" ID="cbVcode" Text="登录时要求输入验证码" /></li>
                    <li title="设置用户登录时是从用户列表中选择用户名登录还是直接输入用户名登录">用户登录方式：<asp:RadioButtonList ID="rblLoginMode" runat="server" RepeatDirection="Horizontal" RepeatLayout="flow">
                        <asp:ListItem Value="SelectName">选择用户名登录</asp:ListItem>
                        <asp:ListItem Value="InputName">输入用户名登录</asp:ListItem>
                        </asp:RadioButtonList></li>
                    <li title="设置新注册的用户或管理员直接添加的用户所属的默认角色">新用户默认角色：<asp:DropDownList ID="ddlRoles" runat="server"></asp:DropDownList></li>
                </ul>
                    
                <div class="zone">☉ 信息中心</div>
                <ul>
                    <li>信息中心自定义名称：<asp:TextBox runat="server" ID="infoCenter" Width="140"></asp:TextBox></li>
                    <li>信息类型：<asp:DropDownList runat="server" ID="ddlInfoType">
                        <asp:ListItem Value="信息">信息</asp:ListItem>
                        <asp:ListItem Value="通知/公告">通知/公告</asp:ListItem>
                        <asp:ListItem Value="文档">文档</asp:ListItem>
                        <asp:ListItem Value="新闻">新闻</asp:ListItem>
                        <asp:ListItem Value="工作日志">工作日志</asp:ListItem>
                        <asp:ListItem Value="帖子">帖子</asp:ListItem>
                    </asp:DropDownList></li>
                    <li><asp:CheckBox runat="server" ID="cbAdminCommentOwn" Text="允许编辑或删除自己发表的评论" /></li>
                    <li><asp:CheckBox runat="server" ID="cbAuthorDelComment" Text="允许信息发布者删除评论" /></li>
                </ul>

                <div class="zone">☉ 杂项</div>
                <ul>
                    <li title="设置是否对所有用户禁用气泡式弹出帮助"><asp:CheckBox runat="server" ID="cbDisPophelp" Text="禁止自动弹出气泡式帮助" /></li>
                    <li title="限制数据录入时上传的图片的尺寸，对宽度或高度超过该限制的图片自动按比例缩小"><asp:CheckBox runat="server" ID="cbPhotoLimit" Text="限制上传的图片宽或高不超过："></asp:CheckBox><asp:TextBox
                            ID="tbPhotoLimit" runat="server" Width="80"></asp:TextBox>像素</li>
                    <li title="设置允许上传哪些类型的文件（以逗号分隔的文件扩展名列表，不分大小写）。留空表示允许所有类型。">允许上传的文件类型：<br /><asp:TextBox ID="tbAllowExts" Width="80%" TextMode="MultiLine" Rows="3" Height="52" runat="server"></asp:TextBox></li>
                    <li title="为启用了编辑器的字段选择编辑器的工作模式">在线编辑器模式：<asp:RadioButtonList ID="editorMode" runat="server" RepeatDirection="Horizontal" RepeatLayout="flow">
                        <asp:ListItem Value="Compact">精简</asp:ListItem>
                        <asp:ListItem Value="Normal">常规</asp:ListItem>
                        <asp:ListItem Value="Advanced">高级</asp:ListItem>
                        </asp:RadioButtonList>
                    </li>
                </ul>
                    
                <div class="zone" title="设置常用的链接，这些链接将会显示在系统主界面的右上方。">☉ 常用链接</div>
                    <asp:UpdatePanel ID="upLinks" runat="server" ChildrenAsTriggers="true" UpdateMode="Conditional" RenderMode="inline">
                    <ContentTemplate>
                        <table class="normal" style="width:80%" cellspacing="1" id="linkTable">
                            <tr>
                                <th style="width: 29%;">链接文字</th>
                                <th style="width: 58%;">链接地址</th>
                                <th style="width: 13%;">操作</th>
                            </tr>
                        <asp:Repeater ID="rptLinks" runat="server" OnItemCommand="rptLinks_cmd" OnItemDataBound="rptLinks_Bound">
                        <ItemTemplate>
                        <tr>
                            <td><%# Eval("Key") %></td>
                            <td align="left" id="linkUrl" runat="server"></td>
                            <td align="center"><asp:LinkButton CommandName="del" ID="lbDel" runat="server">删除</asp:LinkButton></td>
                        </tr>
                        </ItemTemplate>
                        </asp:Repeater>
                        <tr runat="server" id="linksFooter">
                            <td><asp:TextBox ID="tbText" Width="97%" MaxLength="100" ToolTip="输入链接文字" runat="server"></asp:TextBox></td>
                            <td><asp:TextBox ID="tbUrl" Width="97%" ToolTip="输入链接地址" runat="server"></asp:TextBox></td>
                            <td align="center"><asp:LinkButton ID="lbAddLink" runat="server" OnClick="AddLink">添加</asp:LinkButton></td>
                        </tr>
                        </table>
                    </ContentTemplate>
                </asp:UpdatePanel>
            </div>
            <div id="funcs">
                <ul id="funs">
                    <li title="勾选后，将可以控制用户的目录操作权限（创建、删除等）"><asp:CheckBox runat="server" ID="cbEnDirPower" Text="启用目录权限控制"></asp:CheckBox></li>
                    <li title="勾选以启用电子商务功能，从而允许用户选购商品并提交订单">
                    <asp:CheckBox runat="server" ID="eShop" Text="启用电子商务功能"></asp:CheckBox>
                        <asp:HyperLink ID="toEShopSetting" NavigateUrl="~/eshopsetting.aspx" runat="server">电子商务选项设置</asp:HyperLink>
                    </li>
                    <!--<li><asp:CheckBox runat="server" ID="innersms" Text="启用系统内部短信功能"></asp:CheckBox></li>-->
                    <li><asp:CheckBox runat="server" ID="sms" Text="启用短信发送功能"></asp:CheckBox>
                        <asp:HyperLink runat="server" ID="hlsms" Text="短信发送功能设置" NavigateUrl="smsadmin.aspx"></asp:HyperLink>
                    </li>
                    <li title="勾选以启用新用户注册功能"><asp:CheckBox runat="server" ID="UserReg" Text="启用用户注册功能"></asp:CheckBox></li>
                    <li title="设置当用户忘记密码时，系统是否自动将其重置为新的随机密码并通知用户。&#13;在通知邮件的内容模板中，以$UserName$代表用户名，$PassWord$代表新生成的用户密码">
                    <asp:CheckBox runat="server" ID="cbEnPwdRecovery" Text="启用找回密码功能"></asp:CheckBox>
                        <span id="prMailTemplet">
                            <a href="javascript:void(0);" onclick="$('#prTemplet').toggle('fast');">找回密码邮件模板</a><br />
                            <div id="prTemplet" style="display:none"><asp:TextBox ID="ckPrMailTemplet" runat="server" TextMode="MultiLine" CssClass="ckeditor"></asp:TextBox></div>
                        </span>
                    </li>
                    <li><asp:CheckBox runat="server" ID="cbFavorites" Text="启用收藏功能"></asp:CheckBox></li>
                </ul>
            </div>
            <div id="userinfos">
                <asp:UpdatePanel ID="up2" runat="server" ChildrenAsTriggers="true" UpdateMode="Conditional" RenderMode="inline">
                <ContentTemplate>
                    <table cellspacing="1" class="normal">
                        <tr>
                            <td><span class="bold">密码问题：</span><asp:CheckBox runat="server" ID="cbPasswordQuestion" Text="启用该项目" /> (<asp:CheckBox runat="server" ID="cbPasswordQuestion_r" Checked="true" Enabled="false" Text="必填" />)</td>
                            <td><span class="bold">地址：</span><asp:CheckBox AutoPostBack="true" OnCheckedChanged="cbChanged" runat="server" ID="cbAddress" Text="启用该项目" /> (<asp:CheckBox runat="server" ID="cbAddress_r" Text="必填" />)</td>
                            <td><span class="bold">性别：</span><asp:CheckBox AutoPostBack="true" OnCheckedChanged="cbChanged" runat="server" ID="cbSex" Text="启用该项目" /> (<asp:CheckBox runat="server" ID="cbSex_r" Text="必填" />)</td>
                        </tr>
                        <tr>
                            <td><span class="bold">密码答案：</span><asp:CheckBox runat="server" ID="cbPasswordAnswer" Text="启用该项目" /> (<asp:CheckBox runat="server" ID="cbPasswordAnswer_r" Checked="true" Enabled="false" Text="必填" />)</td>
                            <td><span class="bold">邮编：</span><asp:CheckBox AutoPostBack="true" OnCheckedChanged="cbChanged" runat="server" ID="cbZip" Text="启用该项目" /> (<asp:CheckBox runat="server" ID="cbZip_r" Text="必填" />)</td>
                            <td><span class="bold">邮箱：</span><asp:CheckBox AutoPostBack="true" OnCheckedChanged="cbChanged" runat="server" ID="cbEmail" Text="启用该项目" /> (<asp:CheckBox runat="server" ID="cbEmail_r" Text="必填" />)</td>
                        </tr>
                         <tr>
                            <td><span class="bold">电话号码：</span><asp:CheckBox AutoPostBack="true" OnCheckedChanged="cbChanged" runat="server" ID="cbPhone" Text="启用该项目" /> (<asp:CheckBox runat="server" ID="cbPhone_r" Text="必填" />)</td>
                            <td><span class="bold">真实姓名：</span><asp:CheckBox AutoPostBack="true" OnCheckedChanged="cbChanged" runat="server" ID="cbRealName" Text="启用该项目" /> (<asp:CheckBox runat="server" ID="cbRealName_r" Text="必填" />
                            <asp:CheckBox runat="server" ID="cbEnChange" Text="允许自行修改" />)</td>
                            <td>&nbsp;</td>
                        </tr>
                   </table>
                </ContentTemplate>
                </asp:UpdatePanel>
            </div>
            <div id="mail">
                <asp:UpdatePanel ID="up3" runat="server" ChildrenAsTriggers="true" UpdateMode="Conditional" RenderMode="inline">
                <ContentTemplate>
                    <ul>
                        <li>发件邮箱地址：<asp:TextBox ID="tbFromEamil" runat="server" Width="160"></asp:TextBox></li>
                        <li>发送者的名称：<asp:TextBox ID="tbDisplayName" runat="server" Width="160"></asp:TextBox></li>
                        <li>SMTP&nbsp;服务器：<asp:TextBox ID="tbSmtpHost" runat="server" Width="160"></asp:TextBox></li>
                        <li>SMTP&nbsp;端口号：<asp:TextBox ID="tbSmtpPort" Width="45" runat="server"></asp:TextBox></li>
                        <li><asp:CheckBox ID="cbSSL" Text="使用SSL安全连接" runat="server" /></li>
                        <li><asp:CheckBox ID="cbNeedAuth" AutoPostBack="true" OnCheckedChanged="cbNeedAuth_changed" Text="SMTP服务器需要身份验证" Checked="true" runat="server" /><span runat="server" id="authInfo">　帐号：<asp:TextBox ID="tbUserName" Width="100" runat="server"></asp:TextBox> 密码：<asp:TextBox ID="tbPassWord" Width="100" TextMode="Password" runat="server"></asp:TextBox></span>
                            <asp:Button runat="server" id="smtpTest" OnClick="SmtpTest" Text="测试" CssClass="btn" />
                        </li>
                    </ul>
                </ContentTemplate>
                </asp:UpdatePanel>
            </div>
        </div>
        <asp:UpdatePanel ID="up4" runat="server" ChildrenAsTriggers="true" UpdateMode="Conditional" RenderMode="inline">
        <ContentTemplate>
            <div class="footBtnArea"><asp:Button ID="btnSave" runat="server" Width="66" Text="保存设置" OnClientClick="UpdateEditorElement()" OnClick="saveOption" CssClass="btn" /></div>
        </ContentTemplate>
        </asp:UpdatePanel>
    <script src="js/comm.js" type="text/ecmascript"></script>
    <script type="text/javascript">
        $(function () {
            $("#tabs").tabs().fadeIn(300);
            setPwdRecovery();
            setEshoplink();
            setSmslink();
            var prm = Sys.WebForms.PageRequestManager.getInstance();
            prm.add_initializeRequest(showLoading);
            prm.add_endRequest(hideLoading);
        });
        function setPwdRecovery() {
            $f('prMailTemplet').style.display = $f("cbEnPwdRecovery").checked ? 'inline' : 'none';
        }
        function setEshoplink() {
            var checked = $f("eShop").checked;
            $f('toEShopSetting').style.display = checked ? 'inline' : 'none';
            if (checked) ShowMsgPop("<p>启用电子商务功能后，还需要在作为商品的模板上启用电子商务功能（设计中心-模板右键菜单-属性），然后用户浏览商品时，就可以将其加入购物车并提交订单了。</p>", 60000);
        }
        function setSmslink() {
            $f('hlsms').style.display = $f("sms").checked ? 'inline' : 'none';
        }
        function promptPophelp(e) {
            if (e.checked) {
                alert("该选项是一个全局设置，如果勾选，将禁用所有用户的气泡式弹出帮助功能。若只想禁用针对自己的气泡式弹出帮助，请点击顶部的“帮助”按钮，在“如何使用帮助”处进行设置。");
            }
        }
    </script>
    <script type="text/javascript" src="ckeditor/ckeditor.js"></script>
    </form>
</body>
</html>

