﻿<%@ page language="C#" autoeventwireup="true" inherits="ims.web.advSearch, ims.web" enableviewstatemac="false" enableEventValidation="false" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" id="advSearch">
<head runat="server">
    <title>高级搜索</title>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="sm" runat="server">
            <Scripts>
                <asp:ScriptReference Name="MicrosoftAjax.js" ScriptMode="Auto" Path="~/js/MsAjax.js"/>
                <asp:ScriptReference Name="MicrosoftAjaxWebForms.js" ScriptMode="Auto" Path="~/js/MsAjax.js"/>
            </Scripts>
        </asp:ScriptManager>
        <table class="header"><tr><td><asp:Label runat="server" ID="lblTitle" CssClass="pageTitle"></asp:Label></td><td align="right"><img class="pointer" runat="server" id="btnHelp" src="images/help1.gif" onclick="return showHelp();" alt="帮助" /></td></tr></table>
        <asp:Wizard ID="w" runat="server" NavigationStyle-CssClass="navArea" OnPreviousButtonClick="preClick" NavigationButtonStyle-CssClass="btn" NavigationStyle-HorizontalAlign="Center" OnNextButtonClick="nextClick" OnLoad="setHeader" OnActiveStepChanged="setHeader" HeaderStyle-CssClass="wizardHeader" DisplaySideBar="False">
            <StartNavigationTemplate>
                <asp:Button ID="StartNextButton" runat="server" CommandName="MoveNext" CssClass="btn" Width="52" Text="下一步" />
                <asp:Button ID="btnOpenTemplet" runat="server" OnClick="OpenTemplet" CssClass="btn" Text="打开" />
            </StartNavigationTemplate>
            <FinishNavigationTemplate>
                <asp:Button ID="btnPrvStep" runat="server" CommandName="MovePrevious" CssClass="btn" Width="52" Text="上一步" />
                <asp:UpdatePanel ID="up" runat="server" ChildrenAsTriggers="true" RenderMode="inline">
                <ContentTemplate>
                <asp:Button ID="btnDoSearch" runat="server" CommandName="MoveFinish" OnClick="doSearch" CssClass="btn" Width="52" Text="下一步" />
                <asp:Button runat="server" ID="btnSaveTempFilter" OnClick="btnSaveTempFilter_Click" Text="确定" Visible="false" CssClass="btn" />
                <asp:Button runat="server" ID="btnCanel" OnClientClick="CancelFilter();" Text="取消" Visible="false" CssClass="btn" />
                <div runat="server" id="filterBtns" visible="false" class="center">
                    <input type="button" onclick="return ShowPop('<%= filterAttr.ClientHandlerID %>',true);" class="btn" style="width:74px" value="保存过滤器" />
                    <input type="button" onclick="history.go(-1);" value="返回" class="btn" />
                </div>
                </ContentTemplate>
                </asp:UpdatePanel>
            </FinishNavigationTemplate>
            <WizardSteps>
                <asp:WizardStep ID="Step1" runat="server" Title="请选择搜索范围：">
                    <div class="center">
                        <asp:RadioButtonList ID="rblTemplets" RepeatColumns="4" runat="server" EnableTheming="False" CssClass="left" RepeatDirection="Horizontal">
                        </asp:RadioButtonList>
                    </div>
                </asp:WizardStep>
                <asp:WizardStep ID="Step2" runat="server" Title="设置条件：">
                <ul class="cond">
					<li id="Cond1">
					<asp:CheckBox runat="server" ID="cb1" Checked="true" />&nbsp;<asp:DropDownList Runat="server" ID="dplFileds1" CssClass="fn"></asp:DropDownList>
					<asp:DropDownList Runat="server" ID="dplOper1" Height="21px"></asp:DropDownList><span id="s1">
					<asp:DropDownList ID="dplYN1" Runat="server" CssClass="hide">
						<asp:ListItem Value="true" Selected="True">是</asp:ListItem>
						<asp:ListItem Value="false">否</asp:ListItem>
					</asp:DropDownList><asp:TextBox ID="tb1_1" Runat="server" CssClass="tb"></asp:TextBox><span
					id="span1" class="hide">～<asp:TextBox id="tb2_1" Runat="server" CssClass="tb"></asp:TextBox></span></span><asp:TextBox runat="server" ID="tb3_1" Width="24" Text="1" CssClass="hide"></asp:TextBox><asp:DropDownList runat="server" ID="d_1" CssClass="hide"></asp:DropDownList>
						<a href="javascript:void(0)" onclick="return addCond();" class="u" id="addCond">添加条件</a>
					</li>
					<li id="Cond2">
						<asp:RadioButtonList Runat="server" ID="rbl1" RepeatLayout="Flow" RepeatDirection="Horizontal" CssClass="rblCond"></asp:RadioButtonList>
						<asp:CheckBox runat="server" ID="cb2" />&nbsp;<asp:DropDownList Runat="server" ID="dplFileds2" CssClass="fn"></asp:DropDownList>
						<asp:DropDownList Runat="server" ID="dplOper2"></asp:DropDownList><span id="s2">
						<asp:DropDownList ID="dplYN2" Runat="server" CssClass="hide">
							<asp:ListItem Value="true" Selected="True">是</asp:ListItem>
							<asp:ListItem Value="false">否</asp:ListItem>
						</asp:DropDownList><asp:TextBox ID="tb1_2" Runat="server" CssClass="tb"></asp:TextBox><span
						id="span2" class="hide">～<asp:TextBox id="tb2_2" Runat="server" CssClass="tb"></asp:TextBox></span></span><asp:TextBox runat="server" ID="tb3_2" Width="24" Text="1" CssClass="hide"></asp:TextBox><asp:DropDownList runat="server" ID="d_2" CssClass="hide"></asp:DropDownList>
					</li>
					<li id="Cond3" class="hide">
						<asp:RadioButtonList Runat="server" ID="rbl2" RepeatLayout="Flow" RepeatDirection="Horizontal" CssClass="rblCond"></asp:RadioButtonList>
						<asp:CheckBox runat="server" ID="cb3" />&nbsp;<asp:DropDownList Runat="server" ID="dplFileds3" CssClass="fn"></asp:DropDownList>
						<asp:DropDownList Runat="server" ID="dplOper3"></asp:DropDownList><span id="s3">
						<asp:DropDownList ID="dplYN3" Runat="server" CssClass="hide">
							<asp:ListItem Value="true" Selected="True">是</asp:ListItem>
							<asp:ListItem Value="false">否</asp:ListItem>
						</asp:DropDownList><asp:TextBox ID="tb1_3" Runat="server" CssClass="tb"></asp:TextBox><span
						id="span3" class="hide">～<asp:TextBox id="tb2_3" Runat="server" CssClass="tb"></asp:TextBox></span></span><asp:TextBox runat="server" ID="tb3_3" Width="24" Text="1" CssClass="hide"></asp:TextBox><asp:DropDownList runat="server" ID="d_3" CssClass="hide"></asp:DropDownList>
					</li>
					<li id="Cond4" class="hide">
						<asp:RadioButtonList Runat="server" ID="rbl3" RepeatLayout="Flow" RepeatDirection="Horizontal" CssClass="rblCond"></asp:RadioButtonList>
						<asp:CheckBox runat="server" ID="cb4" />&nbsp;<asp:DropDownList Runat="server" ID="dplFileds4" CssClass="fn"></asp:DropDownList>
						<asp:DropDownList Runat="server" ID="dplOper4"></asp:DropDownList><span id="s4">
						<asp:DropDownList ID="dplYN4" Runat="server" CssClass="hide">
							<asp:ListItem Value="true" Selected="True">是</asp:ListItem>
							<asp:ListItem Value="false">否</asp:ListItem>
						</asp:DropDownList><asp:TextBox ID="tb1_4" Runat="server" CssClass="tb"></asp:TextBox><span
						id="span4" class="hide">～<asp:TextBox id="tb2_4" Runat="server" CssClass="tb"></asp:TextBox></span></span><asp:TextBox runat="server" ID="tb3_4" Width="24" Text="1" CssClass="hide"></asp:TextBox><asp:DropDownList runat="server" ID="d_4" CssClass="hide"></asp:DropDownList>
					</li>
					<li id="Cond5" class="hide">
						<asp:RadioButtonList Runat="server" ID="rbl4" RepeatLayout="Flow" RepeatDirection="Horizontal" CssClass="rblCond"></asp:RadioButtonList>
						<asp:CheckBox runat="server" ID="cb5" />&nbsp;<asp:DropDownList Runat="server" ID="dplFileds5" CssClass="fn"></asp:DropDownList>
						<asp:DropDownList Runat="server" ID="dplOper5"></asp:DropDownList><span id="s5">
						<asp:DropDownList ID="dplYN5" Runat="server" CssClass="hide">
							<asp:ListItem Value="true" Selected="True">是</asp:ListItem>
							<asp:ListItem Value="false">否</asp:ListItem>
						</asp:DropDownList><asp:TextBox ID="tb1_5" Runat="server" CssClass="tb"></asp:TextBox><span
						id="span5" class="hide">～<asp:TextBox id="tb2_5" Runat="server" CssClass="tb"></asp:TextBox></span></span><asp:TextBox runat="server" ID="tb3_5" Width="24" Text="1" CssClass="hide"></asp:TextBox><asp:DropDownList runat="server" ID="d_5" CssClass="hide"></asp:DropDownList>
					</li>
					</ul>
                </asp:WizardStep>
            </WizardSteps>
        </asp:Wizard>
        <div runat="server" id="divPrompt">
        <div class="zoneTitle"><img src="images/info.gif" align="absMiddle" /> 提示</div>
        <ul style="list-style-type:square;margin-left:22px">
            <li>可以<a href="#" onclick="What('CondVar');" title="查看关于使用变量的说明" class="u">在条件中使用变量</a>：<asp:DropDownList runat="server" ID="ddlVars">
            </asp:DropDownList>：<input type="text" id="varName" onmouseover="$(this).select();" readonly="readonly" ondblclick="copy_clip(this);" value="$UserName$" /></li>
            <li runat="server" id="lisc">可将设置好的条件保存为快捷方式：<asp:UpdatePanel runat="server" ID="upSc" UpdateMode="Conditional" RenderMode="Inline">
					<ContentTemplate><asp:TextBox runat="server" ID="tbShortcutName" ToolTip="输入快捷方式名称"></asp:TextBox> <asp:ImageButton runat="server" ID="saveShortcut" OnClick="SaveasShortcut" ToolTip="保存快捷方式" ImageAlign="AbsMiddle" ImageUrl="images/save.png" /></ContentTemplate>
					</asp:UpdatePanel>
            </li>
        </ul>
        </div>

        <ims:Pop runat="server" ID="filterAttr" InitVisible="false" Title="过滤器属性" OnOkClick="SaveFilter" HideOnOkClientClick="false">
        <ContentTemplate>
            过滤器名称：<asp:TextBox ID="tbFilterName" runat="server" onkeydown="return enterTo('filterAttr_btnOK');"></asp:TextBox>
            <div class="sepline"></div>
            <asp:CheckBox ID="cbFilterHide" Text="隐藏该过滤器（仅在字段的链接或查询中使用）" runat="server" />
        </ContentTemplate>
        </ims:Pop>
    <script src="js/comm.js" type="text/javascript"></script>
    <script src="js/advSearch.js" type="text/javascript"></script>
    <script src="js/datepicker/WdatePicker.js" type="text/javascript"></script>
    </form>
</body>
</html>
