﻿<%@ page language="C#" autoeventwireup="true" inherits="ims.web.edit, ims.web" enableviewstatemac="false" enableEventValidation="false" %>
<%@ Register Src="~/UserControls/FileUploader.ascx" TagName="Uploader" TagPrefix="ims" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" id="edit">
<head runat="server"><title></title>
</head>
<body class="waiting" onbeforeunload="confirmExit();">
    <div class="hide"><img src="images/loading.gif" />正在生成，请稍候 …</div>
    <form id="form1" runat="server" defaultbutton="save">
        <asp:ScriptManager ID="sm" runat="server" AsyncPostBackTimeout="600" EnablePageMethods="true">
            <Scripts><asp:ScriptReference Name="MicrosoftAjax.js" ScriptMode="Auto" Path="~/js/MsAjax.js"/><asp:ScriptReference Name="MicrosoftAjaxWebForms.js" ScriptMode="Auto" Path="~/js/MsAjax.js"/></Scripts>
        </asp:ScriptManager>
        <asp:ValidationSummary ID="ValSum" runat="server" ShowMessageBox="True" ShowSummary="False" />
        <table id="header"><tr><td runat="server" id="pageTitle"></td><td id="tools">
            <a href="#" onclick="return false;" runat="server" id="batchImport">批量导入</a><asp:LinkButton runat="server" ID="xlsHeader" CausesValidation="false" OnClick="MakeExcelTemplet"
            ToolTip="下载Excel表单以批量录入可供导入的数据" Text="下载Excel表单"></asp:LinkButton><asp:LinkButton runat="server"
            ID="lbFill" CausesValidation="false" OnClick="ShowSelectPop" OnClientClick="curAcTextbox='';" ToolTip="从已有的类似记录中导入数据到当前表单" Text="导入类似记录"></asp:LinkButton>
            <input runat="server" id="xlsToUpload" type="file" contenteditable="false" title="从Excel文件批量导入数据" onchange="return xlsUpload();" name="xlsToUpload" />
        </td></tr></table>
        <asp:UpdatePanel ID="up" runat="server" ChildrenAsTriggers="false" OnPreRender="MakeEditor" RenderMode="Inline" UpdateMode="conditional">
        <ContentTemplate>
        <div id="editArea" runat="server"></div>
        <div id="fixedArea" runat="server">
            <table class="r">
	            <tr>
		            <td class="h"><img src="images/lock.gif" />保密级别</td>
		            <td class="e"><asp:DropDownList ID="ddlSecLevel" runat="server"></asp:DropDownList> <asp:ImageButton runat="server" ID="defSecLevel" ImageUrl="images/default.gif" CausesValidation="false" OnClick="SetDefault" ToolTip="将当前保密级别设为默认" /></td>
	            </tr>
            </table>
            <table class="r" runat="server" id="rDir">
	            <tr>
		            <td class="h"><img src="images/off.gif" />保存目录</td>
		            <td class="e">
	                    <asp:UpdatePanel ID="upDir" runat="server" RenderMode="Inline" UpdateMode="conditional">
                            <ContentTemplate><a id="aDir" runat="server" href="#" title="点击选择目录" onclick="return showDirTree(true);" onserverclick="DirChanged"></a> <asp:ImageButton runat="server" ID="defDir" CausesValidation="false" ImageUrl="images/default.gif" OnClick="SetDefault" ToolTip="将当前指定的保存目录设为默认" /></ContentTemplate>
                            <Triggers><asp:AsyncPostBackTrigger ControlID="defSecLevel" EventName="Click" /></Triggers>
                        </asp:UpdatePanel>
                    </td>
	            </tr>
            </table>
        </div>
        <asp:PlaceHolder ID="phHelpers" runat="server"></asp:PlaceHolder>
        </ContentTemplate>
        </asp:UpdatePanel>
        <table cellspacing="0"><tr><td>
            <div id="divAction" runat="server">
                保存后的动作：<asp:RadioButtonList ID="rblAction" RepeatLayout="Flow" RepeatDirection="Horizontal" runat="server">
                    <asp:ListItem Value="None" Selected="True">无</asp:ListItem>
                    <asp:ListItem Value="New">新建</asp:ListItem>
                    <asp:ListItem Value="Back">返回</asp:ListItem>
                    <asp:ListItem Value="Browse">浏览</asp:ListItem>
                </asp:RadioButtonList>
            </div>   
        </td><td id="showAttr">
            <span onclick="toggleAttrs();" class="hid" runat="server" id="toggler">隐藏属性选项</span>
        </td></tr></table>
        <table><tr><td valign="bottom">
            <asp:HyperLink runat="server" ID="prev" ToolTip="编辑上一条记录" Visible="false"></asp:HyperLink>
        </td><td align="center">
            <asp:UpdatePanel ID="upBtns" runat="server" RenderMode="Block" UpdateMode="conditional">
            <ContentTemplate>
            <asp:Button ID="save" runat="server" OnClientClick="return doValidate();" AccessKey="S" ToolTip="保存当前正在编辑的记录&#13;快捷键：Alt+S" Text="" OnClick="Save" CssClass="btnsave" />
            <asp:Button ID="saveas" runat="server" OnClientClick="return doValidate();" AccessKey="A" Text="另存" ToolTip="将当前编辑的记录另存为一条新的记录&#13;快捷键：Alt+A" OnClick="Save" CssClass="btn" />
            <asp:Button ID="toNew" AccessKey="N" runat="server" CausesValidation="false" OnClientClick="return toExit();" ToolTip="新建一条记录&#13;快捷键：Alt+N" Text="新建" OnClick="New" CssClass="btn" />
            <input accesskey="B" title="返回进入编辑页面之前的页面&#13;快捷键：Alt+B" type="button" onclick="MarkAndBack();" value="返回" class="btn" />
            </ContentTemplate>
            </asp:UpdatePanel>
        </td><td align="right" valign="bottom">
            <asp:HyperLink runat="server" ID="next" ToolTip="编辑下一条记录" Visible="false"></asp:HyperLink>
        </td></tr></table>
        <ims:Pop runat="server" ID="ff" OnOkClientClick="return resultSelected();" OnClientUpdated="showDetail();" OnOkClick="FillSimilar" HideOnOkClientClick="false" Width="452">
        <ContentTemplate>
            <b>数据来源</b>：<asp:DropDownList runat="server" ID="ddlTemplets" AutoPostBack="true" OnSelectedIndexChanged="ddlTempletsChanged"></asp:DropDownList><asp:DropDownList runat="server" ID="srcFields" AutoPostBack="true" OnSelectedIndexChanged="GenerateValuesList"></asp:DropDownList>
            <fieldset runat="server" id="conditions"><legend class="bold">筛选条件</legend>
                <asp:DropDownList runat="server" ID="ddlFields1" AutoPostBack="true" OnSelectedIndexChanged="ddlFieldsChanged" /><asp:Literal runat="server" ID="l1" /><asp:DropDownList AutoPostBack="true" OnSelectedIndexChanged="GenerateValuesList" runat="server" ID="ddl1" /><asp:RadioButtonList AutoPostBack="true" OnSelectedIndexChanged="GenerateValuesList" runat="server" ID="rbl1" RepeatLayout="Flow" RepeatDirection="Horizontal"><asp:ListItem Value="true" Selected="True">是</asp:ListItem><asp:ListItem Value="false">否</asp:ListItem></asp:RadioButtonList><asp:TextBox runat="server" Width="108" CssClass="tb" ID="tb1_1" AutoPostBack="true" OnTextChanged="GenerateValuesList" /><span runat="server" id="span1">～<asp:TextBox runat="server" ID="tb2_1" Width="108" CssClass="tb" AutoPostBack="true" OnTextChanged="GenerateValuesList" /></span><asp:ImageButton runat="server" ID="ibAddCond1" ImageUrl="images/add.gif" ToolTip="添加条件" CommandArgument="cond2" OnClick="AddCond" CausesValidation="false" ImageAlign="AbsMiddle" />
                <div id="cond2" runat="server" visible="false">
                    <asp:DropDownList runat="server" ID="ddlFields2" AutoPostBack="true" OnSelectedIndexChanged="ddlFieldsChanged" /><asp:Literal runat="server" ID="l2" /><asp:DropDownList AutoPostBack="true" OnSelectedIndexChanged="GenerateValuesList" runat="server" ID="ddl2" /><asp:RadioButtonList AutoPostBack="true" OnSelectedIndexChanged="GenerateValuesList" runat="server" ID="rbl2" RepeatLayout="Flow" RepeatDirection="Horizontal"><asp:ListItem Value="true" Selected="True">是</asp:ListItem><asp:ListItem Value="false">否</asp:ListItem></asp:RadioButtonList><asp:TextBox runat="server" Width="108" CssClass="tb" ID="tb1_2" AutoPostBack="true" OnTextChanged="GenerateValuesList" /><span runat="server" id="span2">～<asp:TextBox runat="server" ID="tb2_2" Width="108" CssClass="tb" AutoPostBack="true" OnTextChanged="GenerateValuesList" /></span><asp:ImageButton runat="server" ID="ibAddCond2" ImageUrl="images/add.gif" ToolTip="添加条件" CommandArgument="cond3" OnClick="AddCond" CausesValidation="false" ImageAlign="AbsMiddle" />
                </div>
                <div id="cond3" runat="server" visible="false">
                    <asp:DropDownList runat="server" ID="ddlFields3" AutoPostBack="true" OnSelectedIndexChanged="ddlFieldsChanged" /><asp:Literal runat="server" ID="l3" /><asp:DropDownList AutoPostBack="true" OnSelectedIndexChanged="GenerateValuesList" runat="server" ID="ddl3" /><asp:RadioButtonList AutoPostBack="true" OnSelectedIndexChanged="GenerateValuesList" runat="server" ID="rbl3" RepeatLayout="Flow" RepeatDirection="Horizontal"><asp:ListItem Value="true" Selected="True">是</asp:ListItem><asp:ListItem Value="false">否</asp:ListItem></asp:RadioButtonList><asp:TextBox runat="server" Width="108" CssClass="tb" ID="tb1_3" AutoPostBack="true" OnTextChanged="GenerateValuesList" /><span runat="server" id="span3">～<asp:TextBox runat="server" ID="tb2_3" Width="108" CssClass="tb" AutoPostBack="true" OnTextChanged="GenerateValuesList" /></span>
                </div>
            </fieldset>
            <asp:ListBox runat="server" ID="values" Rows="10" Width="100%"></asp:ListBox>
            <fieldset id="info"><legend>详细</legend>
                <div></div>
            </fieldset>
        </ContentTemplate>
        </ims:Pop>
    <script src="js/comm.js" type="text/javascript"></script>
    <script type="text/javascript" src="ckeditor/ckeditor.js"></script>
    <script src="js/edit.js" type="text/javascript"></script>
    <script src="js/datepicker/WdatePicker.js" type="text/javascript"></script>
    </form>
</body>
</html>